#!/bin/sh

PRODUCT4[0]="Express5800/R140h-4"

MODEL=`cat /sys/class/dmi/id/product_name | awk '{print $1}'`

uninstall_mclog() {
    if RET=`rpm -q mcelog`
    then
        rpm -e $RET
    fi
}

TYPE=0

for i in ${PRODUCT4[@]}
do
  if [ "$MODEL" = "$i" ] ; then
    TYPE=4
    break
  fi
done

case $TYPE in
  4)
    uninstall_mclog
    rpm -ivh mcl-mcemonitor3-3.3-10.04.el7.x86_64.rpm
    rpm -ivh mcl-neccmcd3-3.3-10.07.el7.x86_64.rpm
    rpm -ivh mcl-neccapd3-3.3-10.04.el7.x86_64.rpm
    ;;
  *)
    echo "INFORMATION: skip to install Machine Check Monitoring Service for" $MODEL
    ;;
esac

